package hsmw.jotto5.beleg;

import hsmw.jotto5.beleg.views.*;

import com.sun.net.httpserver.*;
import java.net.InetSocketAddress;

/**
 * Die Main-Klasse mit dem Einstiegspunkt der Anwendung.
 */
public class Main {

	/**
	 * Main-Methode
	 * @param args Die Programmargumente
	 */
	public static void main(String[] args) throws Exception {
		HttpServer s = HttpServer.create(new InetSocketAddress(8000), 0);

		// Kontexts werden nach längstem Matching ausgewählt (wieso?)
		// Alle unbekannten Anfragen die mit / starten werden also an die RootView gegeben
		// TODO: Error Handling!!!
		s.createContext("/", new RootView());
		s.createContext("/main", new StartView());
		s.createContext("/auth", new AuthView());

		s.setExecutor(null);
		s.start();
	}

}
